API reference
Tasks
Goal tasks that run in a session.
GET
The goal tasks run in a session, newest first (at most 200). 404 not_found for an unknown or another project's session
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^sess_(us|in)_[0-9a-z]{24}$OK
application/json- response
tasks*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/sessions/string/tasks'Example Response
{ "tasks": [ { "id": "string", "sessionId": "string", "goal": "string", "startedBy": { "kind": "key", "id": "string", "name": "string" }, "engineRef": { "id": "string", "version": "string", "name": "string" }, "mode": "auto", "waiting": { "id": "string", "kind": "choice", "text": "string", "options": [ { "id": "string", "label": "string", "detail": "string", "recommended": true } ], "allowText": true }, "progress": [ { "at": 0, "text": "string" } ], "exchanges": [ { "question": { "id": "string", "kind": "choice", "text": "string", "options": [ { "id": "string", "label": "string", "detail": "string", "recommended": true } ], "allowText": true }, "answer": { "optionId": "string", "text": "string", "by": { "kind": "key", "id": "string", "name": "string" }, "at": 0 } } ], "status": "running", "ok": true, "stoppedBy": "done", "limit": "maxSteps", "reason": "string", "answer": "string", "steps": [ { "op": "string", "ref": "string", "provider": "string", "ok": true, "ms": 0, "costMicros": 0, "error": "string" } ], "costMicros": 0, "ms": 0, "refusedNavigations": 0, "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" } ]}GET
The project's goal tasks across sessions, newest first (at most 200); sessionId narrows to one session
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
sessionId?stringMatch
^sess_(us|in)_[0-9a-z]{24}$OK
application/json- response
tasks*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/tasks'Example Response
{ "tasks": [ { "id": "string", "sessionId": "string", "goal": "string", "startedBy": { "kind": "key", "id": "string", "name": "string" }, "engineRef": { "id": "string", "version": "string", "name": "string" }, "mode": "auto", "waiting": { "id": "string", "kind": "choice", "text": "string", "options": [ { "id": "string", "label": "string", "detail": "string", "recommended": true } ], "allowText": true }, "progress": [ { "at": 0, "text": "string" } ], "exchanges": [ { "question": { "id": "string", "kind": "choice", "text": "string", "options": [ { "id": "string", "label": "string", "detail": "string", "recommended": true } ], "allowText": true }, "answer": { "optionId": "string", "text": "string", "by": { "kind": "key", "id": "string", "name": "string" }, "at": 0 } } ], "status": "running", "ok": true, "stoppedBy": "done", "limit": "maxSteps", "reason": "string", "answer": "string", "steps": [ { "op": "string", "ref": "string", "provider": "string", "ok": true, "ms": 0, "costMicros": 0, "error": "string" } ], "costMicros": 0, "ms": 0, "refusedNavigations": 0, "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" } ]}GET
The goal task's report as JSON. A task has no assertions: pass means the agent says it is done. 404 not_found for an unknown or another project's task
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^tsk_(us|in)_[0-9a-z]{24}$OK
application/json- response
id*|kind*stringValue in
"task""skill_run"sessionId*stringMatch
^sess_(us|in)_[0-9a-z]{24}$name*stringLength
length <= 300verdict*stringValue in
"pass""fail""error""running"outcome*stringLength
length <= 40summary*stringLength
length <= 1500url?stringLength
length <= 2000finalUrl?stringLength
length <= 2000startedAt*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeendedAt?stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timedurationMs?numberRange
0 <= valuecounts*steps*array<>Items
items <= 50findings*array<>Items
items <= 30consoleErrors*array<>Items
items <= 15networkFailures*array<>Items
items <= 20evidence*notes*array<>Items
items <= 8curl -X GET 'https://api.us.webagent.lookover.ai/v1/tasks/string/report.json'Example Response
{ "id": "string", "kind": "task", "sessionId": "string", "name": "string", "verdict": "pass", "outcome": "string", "summary": "string", "url": "string", "finalUrl": "string", "startedAt": "2019-08-24T14:15:22Z", "endedAt": "2019-08-24T14:15:22Z", "durationMs": 0, "counts": { "steps": 0, "failedSteps": 0, "findings": 0, "consoleErrors": 0, "networkFailures": 0 }, "steps": [ { "index": 0, "title": "string", "kind": "string", "status": "pass", "error": "string", "ms": 0, "screenshotUrl": "string" } ], "findings": [ { "rule": "string", "severity": "info", "title": "string", "url": "string", "fix": "string", "detail": "string" } ], "consoleErrors": [ { "source": "console", "text": "string", "url": "string" } ], "networkFailures": [ { "kind": "http_error", "method": "string", "url": "string", "status": -9007199254740991, "error": "string" } ], "evidence": { "reportPath": "string", "reportSignedUrl": "string", "recordingPath": "string", "logsPath": "string", "urlsExpireAt": "2019-08-24T14:15:22Z" }, "notes": [ "string" ]}